All Frameworks  Object Hierarchy  This Framework  Indexes   

SPAWorkbench (Object)

The object to manage all Space Analysis objects.

This version allows you to manage inertia data, clashes, distances and sections.


Property Index

Clashes
Returns the Clashes collection.
Distances
Returns the Distances collection.
Inertias
Returns the Inertias collection.
Sections
Returns the Sections collection.

Method Index

GetMeasurable
Returns the Measurable object.

Properties


o Property Clashes() As (Read Only)
Returns the Clashes collection.

WARNING: this method will be DEPRECATED in the next release. It is recommended to use the method GetTechnologicalObject("Clashes") on the root product, to retrieve the Clashes collection.

Example:
This example retrieves the Clashes collection of the active document.
    Dim TheSPAWorkbench As Workbench
    Set TheSPAWorkbench = CATIA.ActiveDocument.GetWorkbench ( "SPAWorkbench" )
    Dim TheClashesList As Clashes
    Set TheClashesList = TheSPAWorkbench.Clashes
    
o Property Distances() As (Read Only)
Returns the Distances collection.

WARNING: this method will be DEPRECATED in the next release. It is recommended to use the method GetTechnologicalObject("Distances") on the root product, to retrieve the Distances collection.

Example:
This example retrieves the Distances collection of the active document.
    Dim TheSPAWorkbench As Workbench
    Set TheSPAWorkbench = CATIA.ActiveDocument.GetWorkbench ( "SPAWorkbench" )
    Dim TheDistancesList As Distances
    Set TheDistancesList = TheSPAWorkbench.Distances
    
o Property Inertias() As (Read Only)
Returns the Inertias collection.

WARNING: this method will be DEPRECATED in the next release. It is recommended to use the method GetTechnologicalObject("Inertia") on the product to analyze, to retrieve an Inertia object.

Example:
This example retrieves the Inertias collection of the active document.
    Dim TheSPAWorkbench As Workbench
    Set TheSPAWorkbench = CATIA.ActiveDocument.GetWorkbench ( "SPAWorkbench" )
    Dim TheInertiasList As Inertias
    Set TheInertiasList = TheSPAWorkbench.Inertias
    
o Property Sections() As (Read Only)
Returns the Sections collection.

WARNING: this method will be DEPRECATED in the next release. It is recommended to use the method GetTechnologicalObject("Sections") on the root product, to retrieve the Sections collection.

Example:
This example retrieves the Sections collection of the active document.
    Dim TheSPAWorkbench As Workbench
    Set TheSPAWorkbench = CATIA.ActiveDocument.GetWorkbench ( "SPAWorkbench" )
    Dim TheSectionsList As Sections
    Set TheSectionsList = TheSPAWorkbench.Sections
    

Methods


o Func GetMeasurable( iMeasuredItem) As
Returns the Measurable object.
Example:
This example get the Measurable from the SPAWorkBench.
    Dim referenceObject As referenceObject
    Set referenceObject = "GetReference"
    Dim TheSPAWorkbench As Workbench
    Set TheSPAWorkbench = CATIA.ActiveDocument.GetWorkbench ( "SPAWorkbench" )
    Dim TheMeasurable As Measurable
    Set TheMeasurable = TheSPAWorkbench.GetMeasurable(referenceObject)
    

Copyright © 2003, Dassault Systèmes. All rights reserved.